Index: cpp/frams/Makefile-GDK-files
===================================================================
--- cpp/frams/Makefile-GDK-files	(revision 120)
+++ cpp/frams/Makefile-GDK-files	(revision 121)
@@ -1,9 +1,10 @@
 #### modules
 
-ALL_DIRS={common,frams,frams/config,frams/errmgr,frams/genetic,frams/genetic/conv,frams/genetic/oper,frams/model,frams/neuro,frams/neuro/impl,frams/param,frams/test,frams/util,frams/vm/classes,frams/virtfile,frams/_demos}
+# ALL_DIRS is later expanded by the shell, no spaces/newlines allowed, or it breaks
+ALL_DIRS={common,frams,frams/config,frams/errmgr,frams/genetics,frams/genetics/f0,frams/genetics/f1,frams/genetics/f2,frams/genetics/f3,frams/genetics/f4,frams/genetics/f5,frams/genetics/f6,frams/genetics/f7,frams/genetics/f8,frams/genetics/f9,frams/model,frams/neuro,frams/neuro/impl,frams/param,frams/test,frams/util,frams/vm/classes}
 
-GENOCONV_GDK_OBJS=frams/genetic/conv/conv_f1.o
+GENOCONV_GDK_OBJS=frams/genetics/f1/conv_f1.o frams/genetics/f9/conv_f9.o
 
-GDK_OBJS=frams/util/list.o frams/util/advlist.o frams/param/param.o frams/util/sstring.o frams/util/sstringutils.o frams/util/3d.o frams/vm/classes/3dobject.o frams/model/model.o frams/model/modelparts.o frams/neuro/neurolibrary.o frams/genetic/geno.o frams/genetic/genoconv.o frams/util/extvalue.o frams/vm/classes/collectionobj.o frams/util/hashtable.o common/framsg.o frams/util/callbacks.o frams/param/syntparam.o frams/util/multirange.o frams/util/multimap.o frams/param/paramtabobj.o frams/genetic/defgenoconv.o frams/errmgr/errmanager.o frams/param/paramobj.o frams/genetic/oper/geno_fx.o common/nonstd_math.o frams/errmgr/stderrors.o common/Convert.o frams/util/rndutil.o
+GDK_OBJS=frams/util/list.o frams/util/advlist.o frams/param/param.o frams/util/sstring.o frams/util/sstringutils.o frams/util/3d.o frams/vm/classes/3dobject.o frams/model/model.o frams/model/modelparts.o frams/neuro/neurolibrary.o frams/genetics/geno.o frams/genetics/genoconv.o frams/util/extvalue.o frams/vm/classes/collectionobj.o frams/util/hashtable.o common/framsg.o frams/util/callbacks.o frams/param/syntparam.o frams/util/multirange.o frams/util/multimap.o frams/param/paramtabobj.o frams/genetics/defgenoconv.o frams/errmgr/errmanager.o frams/param/paramobj.o frams/genetics/oper_fx.o common/nonstd_math.o frams/errmgr/stderrors.o common/Convert.o frams/util/rndutil.o
 
 
Index: cpp/frams/_demos/conv_test.cpp
===================================================================
--- cpp/frams/_demos/conv_test.cpp	(revision 120)
+++ cpp/frams/_demos/conv_test.cpp	(revision 121)
@@ -1,11 +1,11 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
 #include <ctype.h>
-#include <frams/genetic/genoconv.h>
+#include <frams/genetics/genoconv.h>
 #include <frams/model/model.h>
 #include <frams/util/multimap.h>
-#include <frams/genetic/conv/conv_f1.h>
+#include <frams/genetics/f1/conv_f1.h>
 
 #include "printconvmap.h"
Index: cpp/frams/_demos/f0_variants_test.cpp
===================================================================
--- cpp/frams/_demos/f0_variants_test.cpp	(revision 120)
+++ cpp/frams/_demos/f0_variants_test.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include <stdlib.h>
 #include <stdio.h>
@@ -5,5 +9,5 @@
 
 #include <frams/model/model.h>
-#include <frams/genetic/defgenoconv.h>
+#include <frams/genetics/defgenoconv.h>
 #include <frams/errmgr/stdouterr.h>
 
Index: cpp/frams/_demos/full_props.cpp
===================================================================
--- cpp/frams/_demos/full_props.cpp	(revision 120)
+++ cpp/frams/_demos/full_props.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2013  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -9,5 +9,5 @@
 
 #include <frams/model/model.h>
-#include <frams/genetic/defgenoconv.h>
+#include <frams/genetics/defgenoconv.h>
 #include <frams/errmgr/stdouterr.h>
 
Index: cpp/frams/_demos/gdk_test.cpp
===================================================================
--- cpp/frams/_demos/gdk_test.cpp	(revision 120)
+++ cpp/frams/_demos/gdk_test.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -9,5 +9,5 @@
 
 #include <frams/model/model.h>
-#include <frams/genetic/defgenoconv.h>
+#include <frams/genetics/defgenoconv.h>
 #include <frams/errmgr/stdouterr.h>
 
Index: cpp/frams/_demos/geno_test.cpp
===================================================================
--- cpp/frams/_demos/geno_test.cpp	(revision 120)
+++ cpp/frams/_demos/geno_test.cpp	(revision 121)
@@ -1,10 +1,10 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
-#include <frams/genetic/geno.h>
+#include <frams/genetics/geno.h>
 #include <frams/virtfile/stdiofile.h>
 #include <frams/util/sstringutils.h>
-#include <frams/genetic/defgenoconv.h>
+#include <frams/genetics/defgenoconv.h>
 
 /**
Index: cpp/frams/_demos/genotypeloader.cpp
===================================================================
--- cpp/frams/_demos/genotypeloader.cpp	(revision 120)
+++ cpp/frams/_demos/genotypeloader.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/_demos/genotypeloader.h
===================================================================
--- cpp/frams/_demos/genotypeloader.h	(revision 120)
+++ cpp/frams/_demos/genotypeloader.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/_demos/loader_test.cpp
===================================================================
--- cpp/frams/_demos/loader_test.cpp	(revision 120)
+++ cpp/frams/_demos/loader_test.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/_demos/multiline_f0_test.cpp
===================================================================
--- cpp/frams/_demos/multiline_f0_test.cpp	(revision 120)
+++ cpp/frams/_demos/multiline_f0_test.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include <stdlib.h>
 #include <stdio.h>
@@ -5,5 +9,5 @@
 
 #include <frams/model/model.h>
-#include <frams/genetic/defgenoconv.h>
+#include <frams/genetics/defgenoconv.h>
 #include <frams/errmgr/stdouterr.h>
 #include <frams/virtfile/stringfile.h>
Index: cpp/frams/_demos/neuro_test.cpp
===================================================================
--- cpp/frams/_demos/neuro_test.cpp	(revision 120)
+++ cpp/frams/_demos/neuro_test.cpp	(revision 121)
@@ -1,10 +1,10 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
-#include <frams/genetic/geno.h>
+#include <frams/genetics/geno.h>
 #include <frams/virtfile/stdiofile.h>
 #include <frams/util/sstringutils.h>
-#include <frams/genetic/defgenoconv.h>
+#include <frams/genetics/defgenoconv.h>
 #include <frams/neuro/neuroimpl.h>
 #include <frams/neuro/neurofactory.h>
Index: cpp/frams/_demos/part_shapes.cpp
===================================================================
--- cpp/frams/_demos/part_shapes.cpp	(revision 120)
+++ cpp/frams/_demos/part_shapes.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include <stdio.h>
 #include <frams/model/model.h>
Index: cpp/frams/_demos/printconvmap.cpp
===================================================================
--- cpp/frams/_demos/printconvmap.cpp	(revision 120)
+++ cpp/frams/_demos/printconvmap.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/_demos/printconvmap.h
===================================================================
--- cpp/frams/_demos/printconvmap.h	(revision 120)
+++ cpp/frams/_demos/printconvmap.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/_demos/serial_test.cpp
===================================================================
--- cpp/frams/_demos/serial_test.cpp	(revision 120)
+++ cpp/frams/_demos/serial_test.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/config/gdk_build_config.h
===================================================================
--- cpp/frams/config/gdk_build_config.h	(revision 120)
+++ cpp/frams/config/gdk_build_config.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #ifndef _GDK_BUILD_CONFIG_H_
 #define _GDK_BUILD_CONFIG_H_
Index: cpp/frams/errmgr/errmanager.cpp
===================================================================
--- cpp/frams/errmgr/errmanager.cpp	(revision 120)
+++ cpp/frams/errmgr/errmanager.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/errmgr/errmanager.h
===================================================================
--- cpp/frams/errmgr/errmanager.h	(revision 120)
+++ cpp/frams/errmgr/errmanager.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/errmgr/stderrors.cpp
===================================================================
--- cpp/frams/errmgr/stderrors.cpp	(revision 120)
+++ cpp/frams/errmgr/stderrors.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2013  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/errmgr/stderrors.h
===================================================================
--- cpp/frams/errmgr/stderrors.h	(revision 120)
+++ cpp/frams/errmgr/stderrors.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2013  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/errmgr/stdouterr.cpp
===================================================================
--- cpp/frams/errmgr/stdouterr.cpp	(revision 120)
+++ cpp/frams/errmgr/stdouterr.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2013  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/errmgr/stdouterr.h
===================================================================
--- cpp/frams/errmgr/stdouterr.h	(revision 120)
+++ cpp/frams/errmgr/stdouterr.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/defgenoconv.cpp
===================================================================
--- cpp/frams/genetics/defgenoconv.cpp	(revision 120)
+++ cpp/frams/genetics/defgenoconv.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include "defgenoconv.h"
 
@@ -4,32 +8,32 @@
 
 #ifdef USE_GENCONV_F10
-#include "conv/conv_f1.h"
+#include "f1/conv_f1.h"
 #endif
 #ifdef USE_GENCONV_F20
-#include "conv/conv_f2.h"
+#include "f2/conv_f2.h"
 #endif
 #ifdef USE_GENCONV_F32
-#include "conv/conv_f3.h"
+#include "f3/conv_f3.h"
 #endif
 #ifdef USE_GENCONV_F40
-#include "conv/conv_f4.h"
+#include "f4/conv_f4.h"
 #endif
 #ifdef USE_GENCONV_F41_TEST
-#include "conv/conv_f4.h"
+#include "f4/conv_f4.h"
 #endif
 #ifdef USE_GENCONV_F50
-#include "conv/conv_f5.h"
+#include "f5/conv_f5.h"
 #endif
 #ifdef USE_GENCONV_F60
-#include "conv/geno_f6.h"
+#include "f6/geno_f6.h"
 #endif
 #ifdef USE_GENCONV_F70
-#include "conv/conv_f7.h"
+#include "f7/conv_f7.h"
 #endif
 #ifdef USE_GENCONV_F81
-#include "conv/conv_f8tof1.h"
+#include "f8/conv_f8tof1.h"
 #endif
 #ifdef USE_GENCONV_F90
-#include "conv/conv_f9.h"
+#include "f9/conv_f9.h"
 #endif
 
Index: cpp/frams/genetics/defgenoconv.h
===================================================================
--- cpp/frams/genetics/defgenoconv.h	(revision 120)
+++ cpp/frams/genetics/defgenoconv.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/f1/conv_f1.cpp
===================================================================
--- cpp/frams/genetics/f1/conv_f1.cpp	(revision 120)
+++ cpp/frams/genetics/f1/conv_f1.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2013  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/f1/conv_f1.h
===================================================================
--- cpp/frams/genetics/f1/conv_f1.h	(revision 120)
+++ cpp/frams/genetics/f1/conv_f1.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -6,5 +6,5 @@
 #define _CONV_F1_H
 
-#include <frams/genetic/genoconv.h>
+#include <frams/genetics/genoconv.h>
 #include <frams/model/model.h>
 
@@ -75,7 +75,2 @@
 
 #endif
-
-
-
-
-
Index: cpp/frams/genetics/gen-config-GDK.h
===================================================================
--- cpp/frams/genetics/gen-config-GDK.h	(revision 120)
+++ cpp/frams/genetics/gen-config-GDK.h	(revision 121)
@@ -1,4 +1,6 @@
-// This file is a part of the Framsticks GDK library. See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
+
 
 /**
@@ -16,4 +18,5 @@
 //#define USE_GENCONV_F41_TEST
 //#define USE_GENCONV_F50
+#define USE_GENCONV_F90
 
 //#define USE_GENMAN_F0
Index: cpp/frams/genetics/geno.cpp
===================================================================
--- cpp/frams/genetics/geno.cpp	(revision 120)
+++ cpp/frams/genetics/geno.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/geno.h
===================================================================
--- cpp/frams/genetics/geno.h	(revision 120)
+++ cpp/frams/genetics/geno.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/genoconv.cpp
===================================================================
--- cpp/frams/genetics/genoconv.cpp	(revision 120)
+++ cpp/frams/genetics/genoconv.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/genoconv.h
===================================================================
--- cpp/frams/genetics/genoconv.h	(revision 120)
+++ cpp/frams/genetics/genoconv.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/genetics/oper_fx.cpp
===================================================================
--- cpp/frams/genetics/oper_fx.cpp	(revision 120)
+++ cpp/frams/genetics/oper_fx.cpp	(revision 121)
@@ -1,8 +1,8 @@
-// This file is a part of the Framsticks GenoFX library.
-// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
 #include <ctype.h>  //isupper()
-#include "geno_fx.h"
+#include "oper_fx.h"
 #include <common/framsg.h>
 #include <common/nonstd_math.h>
@@ -33,5 +33,5 @@
 
 
-int Geno_fx::roulette(const double *probtab,const int count)
+int GenoOperators::roulette(const double *probtab,const int count)
 {
    double sum=0;
@@ -43,5 +43,5 @@
 }
 
-bool Geno_fx::getMinMaxDef(ParamInterface *p,int i,double &mn,double &mx,double &def)
+bool GenoOperators::getMinMaxDef(ParamInterface *p,int i,double &mn,double &mx,double &def)
 {
    mn=mx=def=0;
@@ -68,5 +68,5 @@
 }
 
-int Geno_fx::selectRandomProperty(Neuro* n)
+int GenoOperators::selectRandomProperty(Neuro* n)
 {
    int neuext=n->extraProperties().getPropCount(),
@@ -78,5 +78,5 @@
 }
 
-double Geno_fx::mutateNeuProperty(double current,Neuro *n,int i)
+double GenoOperators::mutateNeuProperty(double current,Neuro *n,int i)
 {
    if (i==-1) return mutateCreepNoLimit('f',current,-10,10); //i==-1: mutating weight of neural connection
@@ -89,5 +89,5 @@
 }
 
-bool Geno_fx::mutatePropertyNaive(ParamInterface &p,int i)
+bool GenoOperators::mutatePropertyNaive(ParamInterface &p,int i)
 {
    double mn,mx,df;
@@ -102,5 +102,5 @@
 }
 
-bool Geno_fx::mutateProperty(ParamInterface &p,int i)
+bool GenoOperators::mutateProperty(ParamInterface &p,int i)
 {
    double newval;
@@ -112,5 +112,5 @@
 }
 
-bool Geno_fx::getMutatedProperty(ParamInterface &p,int i,double oldval,double &newval)
+bool GenoOperators::getMutatedProperty(ParamInterface &p,int i,double oldval,double &newval)
 {
    newval=0;
@@ -128,5 +128,5 @@
 }
 
-double Geno_fx::mutateCreepNoLimit(char type,double current,double mn,double mx)
+double GenoOperators::mutateCreepNoLimit(char type,double current,double mn,double mx)
 {
    double result=RndGen.Gauss(current,(mx-mn)/2/5); // /halfinterval, 5 times narrower
@@ -136,5 +136,5 @@
 }
 
-double Geno_fx::mutateCreep(char type,double current,double mn,double mx)
+double GenoOperators::mutateCreep(char type,double current,double mn,double mx)
 {
    double result=mutateCreepNoLimit(type,current,mn,mx); //TODO consider that when boundary is touched (reflect/absorb below), the default precision (3 digits) may change. Is it good or bad?
@@ -148,5 +148,5 @@
 }
 
-NeuroClass* Geno_fx::getRandomNeuroClass()
+NeuroClass* GenoOperators::getRandomNeuroClass()
 {
 	SListTempl<NeuroClass*> active;
@@ -156,5 +156,5 @@
 }
 
-NeuroClass* Geno_fx::parseNeuroClass(char*& s)
+NeuroClass* GenoOperators::parseNeuroClass(char*& s)
 {
    int len=strlen(s);
@@ -171,5 +171,5 @@
 }
 
-Neuro* Geno_fx::findNeuro(const Model *m,const NeuroClass *nc)
+Neuro* GenoOperators::findNeuro(const Model *m,const NeuroClass *nc)
 {
   if (!m) return NULL;
@@ -179,5 +179,5 @@
 }
 
-int Geno_fx::neuroClassProp(char*& s,NeuroClass *nc,bool also_v1_N_props)
+int GenoOperators::neuroClassProp(char*& s,NeuroClass *nc,bool also_v1_N_props)
 {
    int len=strlen(s);
@@ -213,13 +213,13 @@
 }
 
-bool Geno_fx::isWS(const char c)
+bool GenoOperators::isWS(const char c)
 {return c==' ' || c=='\n' || c=='\t' || c=='\r';}
 
-void Geno_fx::skipWS(char *&s)
-{ if (!s) FramMessage("Geno_fx","skipWS","NULL reference!",1); else
+void GenoOperators::skipWS(char *&s)
+{ if (!s) FramMessage("GenoOperators","skipWS","NULL reference!",1); else
      while (isWS(*s)) s++;
 }
 
-bool Geno_fx::areAlike(char *g1,char *g2)
+bool GenoOperators::areAlike(char *g1,char *g2)
 {
 	while (*g1 || *g2)
@@ -235,8 +235,8 @@
 }
 
-char* Geno_fx::strchrn0(const char *str,char ch)
+char* GenoOperators::strchrn0(const char *str,char ch)
 { return ch==0?NULL:strchr((char*)str,ch); }
 
-bool Geno_fx::isNeuroClassName(const char firstchar)
+bool GenoOperators::isNeuroClassName(const char firstchar)
 {
    return isupper(firstchar) || firstchar=='|' || firstchar=='@' || firstchar=='*';
Index: cpp/frams/genetics/oper_fx.h
===================================================================
--- cpp/frams/genetics/oper_fx.h	(revision 120)
+++ cpp/frams/genetics/oper_fx.h	(revision 121)
@@ -1,8 +1,8 @@
-// This file is a part of the Framsticks GenoFX library.
-// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
-#ifndef _GENO_FX_H_
-#define _GENO_FX_H_
+#ifndef _GENO_OPERATORS_H_
+#define _GENO_OPERATORS_H_
 
 #include <common/nonstd.h>
@@ -49,5 +49,5 @@
 
 When designing genetic operations on some representation, inherit your class
-(for example Geno_fMy) from Geno_fx. Define some methods,
+(for example GenoOper_fMy) from GenoOperators. Define some methods,
 like mutate(), in your class, to allow for evolution.
 Ensure they have the same names and arguments as the corresponding
@@ -77,5 +77,5 @@
 the available source on developmental encoding and f4 genotype format.*/
 
-class Geno_fx
+class GenoOperators
 {
  public:
@@ -84,5 +84,5 @@
    SString name; ///<name of this set of genetic operators
    char **mutation_method_names; ///<array of names for mutation methods. If initialized (by new char*[]), must have entries for each method index returned by mutate(geno,chg,METHOD).  If initialized, it is automatically freed by this destructor.
-   Geno_fx() : par(empty_paramtab) {supported_format='x'; name="Default"; mutation_method_names=NULL; setDefaults();}
+   GenoOperators() : par(empty_paramtab) {supported_format='x'; name="Default"; mutation_method_names=NULL; setDefaults();}
 
 /**Used to perform initializations of Param parameters that are not handled by the Param itself
@@ -172,5 +172,5 @@
 ///currently not used (similarity of two genotypes)
    virtual float similarity(const char*,const char*) {return GENOPER_NOOPER;}
-   virtual ~Geno_fx() {if (mutation_method_names) {delete []mutation_method_names; mutation_method_names=NULL;}}
+   virtual ~GenoOperators() {if (mutation_method_names) {delete []mutation_method_names; mutation_method_names=NULL;}}
 //   virtual char getFormat() {return 255;} //returns supported genotype format, for ex. '1'
 //   virtual int enabled() {return 1;} // should be enabled by default
@@ -178,5 +178,5 @@
 /** \name Some helpful methods for you */
 //@{
-	 static int roulette(const double *probtab,const int count); 	///<returns random index according to probabilities in the \e probtab table or -1 if all probs are zero. \e count is the number of elements in \e probtab.
+   static int roulette(const double *probtab,const int count); 	///<returns random index according to probabilities in the \e probtab table or -1 if all probs are zero. \e count is the number of elements in \e probtab.
    static bool getMinMaxDef(ParamInterface *p,int propindex,double &mn,double &mx,double &def); ///<perhaps a more useful (higher-level) way to obtain min/max/def info for integer and double properties. Returns true if min/max/def was really available (otherwise it is just invented).
    static int selectRandomProperty(Neuro* n); ///<selects random property (either 0-based extraproperty of Neuro or 100-based property of its NeuroClass). -1 if Neuro has no properties.
@@ -194,5 +194,5 @@
    static void skipWS(char *&s); ///<advances pointer \e s skipping whitespaces.
    static bool areAlike(char*,char*); ///<compares two text strings skipping whitespaces. Returns 1 when equal, 0 when different.
- 	 static char* strchrn0(const char *str,char ch); ///<like strchr, but does not find zero char in \e str.
+   static char* strchrn0(const char *str,char ch); ///<like strchr, but does not find zero char in \e str.
    static bool isNeuroClassName(const char firstchar); ///<determines if \e firstchar may start NeuroClass name. If not, it may start NeuroClass' (or Neuro's) property name.
 //@}
@@ -216,3 +216,2 @@
 
 #endif
-
Index: cpp/frams/model/defassign-f0-GDK.h
===================================================================
--- cpp/frams/model/defassign-f0-GDK.h	(revision 120)
+++ cpp/frams/model/defassign-f0-GDK.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 
 
Index: cpp/frams/model/f0-GDK-classes.h
===================================================================
--- cpp/frams/model/f0-GDK-classes.h	(revision 120)
+++ cpp/frams/model/f0-GDK-classes.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 
 #define FIELDSTRUCT Model
Index: cpp/frams/model/model.cpp
===================================================================
--- cpp/frams/model/model.cpp	(revision 120)
+++ cpp/frams/model/model.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/model/model.h
===================================================================
--- cpp/frams/model/model.h	(revision 120)
+++ cpp/frams/model/model.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/model/modelparts.cpp
===================================================================
--- cpp/frams/model/modelparts.cpp	(revision 120)
+++ cpp/frams/model/modelparts.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/model/modelparts.h
===================================================================
--- cpp/frams/model/modelparts.h	(revision 120)
+++ cpp/frams/model/modelparts.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -7,5 +7,5 @@
 
 #include <frams/util/3d.h>
-#include <frams/genetic/genoconv.h>
+#include <frams/genetics/genoconv.h>
 
 #include <frams/util/extvalue.h>
Index: cpp/frams/neuro/impl/neuroimpl-body-gdk.h
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-body-gdk.h	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-body-gdk.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-channels.cpp
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-channels.cpp	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-channels.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-channels.h
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-channels.h	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-channels.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-fuzzy-f0.cpp
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-fuzzy-f0.cpp	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-fuzzy-f0.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-fuzzy-f0.h
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-fuzzy-f0.h	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-fuzzy-f0.h	(revision 121)
@@ -1,7 +1,7 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
-/// this is a modul included into neuroimpl-fuzzy
+/// this is a module included into neuroimpl-fuzzy
 /// it converts string parameters - fuzzy sets and fuzzy rules - into appropriate variables
 
Index: cpp/frams/neuro/impl/neuroimpl-fuzzy.cpp
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-fuzzy.cpp	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-fuzzy.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-fuzzy.h
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-fuzzy.h	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-fuzzy.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-simple.cpp
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-simple.cpp	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-simple.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/impl/neuroimpl-simple.h
===================================================================
--- cpp/frams/neuro/impl/neuroimpl-simple.h	(revision 120)
+++ cpp/frams/neuro/impl/neuroimpl-simple.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neurocls-f0-GDK-factory.h
===================================================================
--- cpp/frams/neuro/neurocls-f0-GDK-factory.h	(revision 120)
+++ cpp/frams/neuro/neurocls-f0-GDK-factory.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 
 // do not edit - generated automatically from "f0.def"
Index: cpp/frams/neuro/neurocls-f0-GDK-library.h
===================================================================
--- cpp/frams/neuro/neurocls-f0-GDK-library.h	(revision 120)
+++ cpp/frams/neuro/neurocls-f0-GDK-library.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 
 // do not edit - generated automatically from "f0.def"
Index: cpp/frams/neuro/neurofactory.cpp
===================================================================
--- cpp/frams/neuro/neurofactory.cpp	(revision 120)
+++ cpp/frams/neuro/neurofactory.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neurofactory.h
===================================================================
--- cpp/frams/neuro/neurofactory.h	(revision 120)
+++ cpp/frams/neuro/neurofactory.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neuroimpl.cpp
===================================================================
--- cpp/frams/neuro/neuroimpl.cpp	(revision 120)
+++ cpp/frams/neuro/neuroimpl.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neuroimpl.h
===================================================================
--- cpp/frams/neuro/neuroimpl.h	(revision 120)
+++ cpp/frams/neuro/neuroimpl.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neuroimplfiles-GDK.h
===================================================================
--- cpp/frams/neuro/neuroimplfiles-GDK.h	(revision 120)
+++ cpp/frams/neuro/neuroimplfiles-GDK.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neurolibrary.cpp
===================================================================
--- cpp/frams/neuro/neurolibrary.cpp	(revision 120)
+++ cpp/frams/neuro/neurolibrary.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/neuro/neurolibrary.h
===================================================================
--- cpp/frams/neuro/neurolibrary.h	(revision 120)
+++ cpp/frams/neuro/neurolibrary.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/multiparamload.cpp
===================================================================
--- cpp/frams/param/multiparamload.cpp	(revision 120)
+++ cpp/frams/param/multiparamload.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/multiparamload.h
===================================================================
--- cpp/frams/param/multiparamload.h	(revision 120)
+++ cpp/frams/param/multiparamload.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/param.cpp
===================================================================
--- cpp/frams/param/param.cpp	(revision 120)
+++ cpp/frams/param/param.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2013  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -465,6 +465,6 @@
 switch(type(i)[0])
 	{
-	case 'd': if ((v.type==TInt)||(v.type==TDouble)) return setInt(i,v.getInt()); else return setInt(i,(const char*)v.getString());
-	case 'f': if ((v.type==TInt)||(v.type==TDouble)) return setDouble(i,v.getDouble()); else return setDouble(i,(const char*)v.getString());
+	case 'd': if (v.type!=TObj) return setInt(i,v.getInt()); else return setInt(i,(const char*)v.getString());
+	case 'f': if (v.type!=TObj) return setDouble(i,v.getDouble()); else return setDouble(i,(const char*)v.getString());
 	case 's': { SString t=v.getString(); return setString(i,t); }
 	case 'o': return setObject(i,v.getObject());
Index: cpp/frams/param/param.h
===================================================================
--- cpp/frams/param/param.h	(revision 120)
+++ cpp/frams/param/param.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/paramobj.cpp
===================================================================
--- cpp/frams/param/paramobj.cpp	(revision 120)
+++ cpp/frams/param/paramobj.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/paramobj.h
===================================================================
--- cpp/frams/param/paramobj.h	(revision 120)
+++ cpp/frams/param/paramobj.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/paramtabobj.cpp
===================================================================
--- cpp/frams/param/paramtabobj.cpp	(revision 120)
+++ cpp/frams/param/paramtabobj.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/paramtabobj.h
===================================================================
--- cpp/frams/param/paramtabobj.h	(revision 120)
+++ cpp/frams/param/paramtabobj.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/syntparam.cpp
===================================================================
--- cpp/frams/param/syntparam.cpp	(revision 120)
+++ cpp/frams/param/syntparam.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/param/syntparam.h
===================================================================
--- cpp/frams/param/syntparam.h	(revision 120)
+++ cpp/frams/param/syntparam.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/3d.cpp
===================================================================
--- cpp/frams/util/3d.cpp	(revision 120)
+++ cpp/frams/util/3d.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/3d.h
===================================================================
--- cpp/frams/util/3d.h	(revision 120)
+++ cpp/frams/util/3d.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/advlist.cpp
===================================================================
--- cpp/frams/util/advlist.cpp	(revision 120)
+++ cpp/frams/util/advlist.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/advlist.h
===================================================================
--- cpp/frams/util/advlist.h	(revision 120)
+++ cpp/frams/util/advlist.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/callbacks.cpp
===================================================================
--- cpp/frams/util/callbacks.cpp	(revision 120)
+++ cpp/frams/util/callbacks.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/callbacks.h
===================================================================
--- cpp/frams/util/callbacks.h	(revision 120)
+++ cpp/frams/util/callbacks.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/extvalue.cpp
===================================================================
--- cpp/frams/util/extvalue.cpp	(revision 120)
+++ cpp/frams/util/extvalue.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/extvalue.h
===================================================================
--- cpp/frams/util/extvalue.h	(revision 120)
+++ cpp/frams/util/extvalue.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/hashtable.cpp
===================================================================
--- cpp/frams/util/hashtable.cpp	(revision 120)
+++ cpp/frams/util/hashtable.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/hashtable.h
===================================================================
--- cpp/frams/util/hashtable.h	(revision 120)
+++ cpp/frams/util/hashtable.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/list.cpp
===================================================================
--- cpp/frams/util/list.cpp	(revision 120)
+++ cpp/frams/util/list.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/list.h
===================================================================
--- cpp/frams/util/list.h	(revision 120)
+++ cpp/frams/util/list.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/multimap.cpp
===================================================================
--- cpp/frams/util/multimap.cpp	(revision 120)
+++ cpp/frams/util/multimap.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/multimap.h
===================================================================
--- cpp/frams/util/multimap.h	(revision 120)
+++ cpp/frams/util/multimap.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/multirange.cpp
===================================================================
--- cpp/frams/util/multirange.cpp	(revision 120)
+++ cpp/frams/util/multirange.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/multirange.h
===================================================================
--- cpp/frams/util/multirange.h	(revision 120)
+++ cpp/frams/util/multirange.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/rndutil.cpp
===================================================================
--- cpp/frams/util/rndutil.cpp	(revision 120)
+++ cpp/frams/util/rndutil.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include "rndutil.h"
 #include <common/nonstd_math.h>
Index: cpp/frams/util/rndutil.h
===================================================================
--- cpp/frams/util/rndutil.h	(revision 120)
+++ cpp/frams/util/rndutil.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #ifndef _RNDUTIL_H_
 #define _RNDUTIL_H_
Index: cpp/frams/util/sstring.cpp
===================================================================
--- cpp/frams/util/sstring.cpp	(revision 120)
+++ cpp/frams/util/sstring.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/sstring.h
===================================================================
--- cpp/frams/util/sstring.h	(revision 120)
+++ cpp/frams/util/sstring.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/sstringutils.cpp
===================================================================
--- cpp/frams/util/sstringutils.cpp	(revision 120)
+++ cpp/frams/util/sstringutils.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/sstringutils.h
===================================================================
--- cpp/frams/util/sstringutils.h	(revision 120)
+++ cpp/frams/util/sstringutils.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/statrick.h
===================================================================
--- cpp/frams/util/statrick.h	(revision 120)
+++ cpp/frams/util/statrick.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/util/usertags.h
===================================================================
--- cpp/frams/util/usertags.h	(revision 120)
+++ cpp/frams/util/usertags.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/virtfile/stdiofile-autoinit.cpp
===================================================================
--- cpp/frams/virtfile/stdiofile-autoinit.cpp	(revision 120)
+++ cpp/frams/virtfile/stdiofile-autoinit.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/virtfile/stdiofile.cpp
===================================================================
--- cpp/frams/virtfile/stdiofile.cpp	(revision 120)
+++ cpp/frams/virtfile/stdiofile.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2014  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/virtfile/stdiofile.h
===================================================================
--- cpp/frams/virtfile/stdiofile.h	(revision 120)
+++ cpp/frams/virtfile/stdiofile.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/virtfile/stringfile.cpp
===================================================================
--- cpp/frams/virtfile/stringfile.cpp	(revision 120)
+++ cpp/frams/virtfile/stringfile.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include "stringfile.h"
 #include <stdio.h>
Index: cpp/frams/virtfile/stringfile.h
===================================================================
--- cpp/frams/virtfile/stringfile.h	(revision 120)
+++ cpp/frams/virtfile/stringfile.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #ifndef _STRINGFILE_H_
 #define _STRINGFILE_H_
Index: cpp/frams/virtfile/virtfile.cpp
===================================================================
--- cpp/frams/virtfile/virtfile.cpp	(revision 120)
+++ cpp/frams/virtfile/virtfile.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/frams/virtfile/virtfile.h
===================================================================
--- cpp/frams/virtfile/virtfile.h	(revision 120)
+++ cpp/frams/virtfile/virtfile.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -76,6 +76,6 @@
 #undef feof
 #endif
-#ifdef SHP //nie wiem co to robi i jak ma byc, ale sie kompiluje z tym undefem a bez nie. tak samo w cpp
-#undef feof
+#ifdef SHP
+#undef feof //not sure if this is OK since feof() is not defined below for bada, but it won't compile without this #undef. Same in virtfile.cpp
 #endif
 DLLEXP int feof(VirtFILE* f);// {return f->Veof();}
Index: cpp/frams/vm/classes/3dobject.cpp
===================================================================
--- cpp/frams/vm/classes/3dobject.cpp	(revision 120)
+++ cpp/frams/vm/classes/3dobject.cpp	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include <frams/util/3d.h>
 #include "3dobject.h"
Index: cpp/frams/vm/classes/3dobject.h
===================================================================
--- cpp/frams/vm/classes/3dobject.h	(revision 120)
+++ cpp/frams/vm/classes/3dobject.h	(revision 121)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #ifndef _3DOBJECT_H_
 #define _3DOBJECT_H_
Index: cpp/frams/vm/classes/collectionobj.cpp
===================================================================
--- cpp/frams/vm/classes/collectionobj.cpp	(revision 120)
+++ cpp/frams/vm/classes/collectionobj.cpp	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -77,6 +77,4 @@
 	if (v) delete v;
 	}
-//nie tak spektakularny jak rasowe bugi roku ale tez idiotyczny :>
-//wszystko przez to ze poczatkowo bylo tylko uzywane w destruktorze...
 data.clear();
 }
Index: cpp/frams/vm/classes/collectionobj.h
===================================================================
--- cpp/frams/vm/classes/collectionobj.h	(revision 120)
+++ cpp/frams/vm/classes/collectionobj.h	(revision 121)
@@ -1,4 +1,4 @@
-// This file is a part of the Framsticks GDK library.
-// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -73,5 +73,5 @@
 SString serialize() const;
 static void p_new(void*,ExtValue*args,ExtValue*ret)
-	{ret->setObject(ExtObject(&par,new DictionaryObject));} //NOWY KANDYDAT NA BUGA ROKU!!!
+	{ret->setObject(ExtObject(&par,new DictionaryObject));}
 static DictionaryObject* fromObject(const ExtObject& v);
 ExtObject makeObject() {return ExtObject(&par,this);}
